Parcourir la source

Fix for detached state

Jonas Björkert il y a 1 an
Parent
commit
6fabf286b4
1 fichiers modifiés avec 7 ajouts et 4 suppressions
  1. 7 4
      scripts/capture-build-details.sh

+ 7 - 4
scripts/capture-build-details.sh

@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/sh
 
 #  capture-build-details.sh
 #  Trio
@@ -20,8 +20,8 @@ else
     # Capture the current date and write it to BuildDetails.plist
     plutil -replace com-trio-build-date -string "$(date)" "${info_plist_path}"
 
-    # Retrieve the current branch
-    git_branch=$(git symbolic-ref --short -q HEAD)
+    # Retrieve the current branch, if available
+    git_branch=$(git symbolic-ref --short -q HEAD || echo "")
 
     # Attempt to retrieve the current tag
     git_tag=$(git describe --tags --exact-match 2>/dev/null || echo "")
@@ -29,8 +29,11 @@ else
     # Retrieve the current SHA of the latest commit
     git_commit_sha=$(git log -1 --format="%h" --abbrev=7)
 
-    # Determine the branch or tag information
+    # Determine the branch or tag information, or fallback to SHA if in detached state
     git_branch_or_tag="${git_branch:-${git_tag}}"
+    if [ -z "${git_branch_or_tag}" ]; then
+        git_branch_or_tag="detached-${git_commit_sha}"
+    fi
 
     # Update BuildDetails.plist with the branch or tag information
     plutil -replace com-trio-branch -string "${git_branch_or_tag}" "${info_plist_path}"